Loading...
Searching...
No Matches
stroid::IO Namespace Reference

## Enumerations

enum class | VISUALIZATION_MODE : uint8_t { NONE , ELEMENT_ID , BOUNDARY_ELEMENT_ID }
| Visualization modes for GLVis display. More...

## Functions

void | SaveMesh (const mfem::Mesh &mesh, const std::string &filename)
| Save a mesh to MFEM's native `.mesh` format.
void | SaveVTU (mfem::Mesh &mesh, const std::string &exportName)
| Save a mesh as a ParaView VTU dataset.
void | ViewMesh (mfem::Mesh &mesh, const std::string &title, VISUALIZATION_MODE mode, const std::string &vishost, int visport)
| Stream a mesh to a running GLVis server for interactive viewing.
void | VisualizeFaceValence (mfem::Mesh &mesh)
| Visualize boundary face valence (1=surface, 2=internal).

## Enumeration Type Documentation

## VISUALIZATION_MODE

enum class stroid::IO::VISUALIZATION_MODE : uint8_t

strong

Visualization modes for GLVis display.

Enumerator
NONE | No attribute visualization (default rendering).
ELEMENT_ID | Color elements by their element attribute/ID.
BOUNDARY_ELEMENT_ID | Color boundary-adjacent elements by boundary attribute/ID.

## Function Documentation

## SaveMesh()

void stroid::IO::SaveMesh | ( | const mfem::Mesh & | mesh,
|  | const std::string & | filename )

Save a mesh to MFEM's native `.mesh` format.

Parameters

  mesh | Mesh to serialize.
  filename | Output path (including extension).

## SaveVTU()

void stroid::IO::SaveVTU | ( | mfem::Mesh & | mesh,
|  | const std::string & | exportName )

Save a mesh as a ParaView VTU dataset.

Parameters

  mesh | Mesh to export.
  exportName | Output base name (ParaView will add extensions).

## ViewMesh()

void stroid::IO::ViewMesh | ( | mfem::Mesh & | mesh,
|  | const std::string & | title,
|  | VISUALIZATION_MODE | mode,
|  | const std::string & | vishost,
|  | int | visport )

Stream a mesh to a running GLVis server for interactive viewing.

Parameters

  mesh | Mesh to display.
  title | Window title shown in GLVis.
  mode | Attribute visualization mode.
  vishost | GLVis server host.
  visport | GLVis server port.

## VisualizeFaceValence()

void stroid::IO::VisualizeFaceValence | ( | mfem::Mesh & | mesh | ) |

Visualize boundary face valence (1=surface, 2=internal).

Parameters

  mesh | Mesh whose boundary faces are inspected.